package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author 陈标
 * @Date 2020/3/26 9:58
 */
public class TemporaryRequest implements Serializable {
    private static final long serialVersionUID = 7264336152777463024L;

    /**
     * 下单时间开始
     */
    @ApiModelProperty(value = "下单时间开始")
    private String orderAtStart;

    /**
     * 下单时间结束
     */
    @ApiModelProperty(value = "下单时间结束")
    private String orderAtEnd;

    @ApiModelProperty(value = "开始id")
    private String startId;
    @ApiModelProperty(value = "结束id")
    private String endId;

    @ApiModelProperty(value = "id")
    private String id;


    /**
     * 是否执行
     */
    @ApiModelProperty(value = "是否执行",required = true)
    private Integer isRun ;

    /**
     * 执行一库
     */
    @ApiModelProperty(value = "执行一库")
    private Integer runOne ;

    /**
     * 执行除了一库
     */
    @ApiModelProperty(value = "执行除了一库")
    private Integer extraOne ;

    /**
     * 库
     */
    @ApiModelProperty(value = "库")
    private Integer dbIndex;
    /**
     * 表
     */
    @ApiModelProperty(value = "表")
    private Integer tbIndex;

    public Integer getIsRun() {
        return isRun;
    }

    public void setIsRun(Integer isRun) {
        this.isRun = isRun;
    }

    public Integer getRunOne() {
        return runOne;
    }

    public void setRunOne(Integer runOne) {
        this.runOne = runOne;
    }

    public Integer getExtraOne() {
        return extraOne;
    }

    public void setExtraOne(Integer extraOne) {
        this.extraOne = extraOne;
    }

    public Integer getDbIndex() {
        return dbIndex;
    }

    public void setDbIndex(Integer dbIndex) {
        this.dbIndex = dbIndex;
    }

    public Integer getTbIndex() {
        return tbIndex;
    }

    public void setTbIndex(Integer tbIndex) {
        this.tbIndex = tbIndex;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStartId() {
        return startId;
    }

    public void setStartId(String startId) {
        this.startId = startId;
    }

    public String getEndId() {
        return endId;
    }

    public void setEndId(String endId) {
        this.endId = endId;
    }

    public String getOrderAtStart() {
        return orderAtStart;
    }

    public void setOrderAtStart(String orderAtStart) {
        this.orderAtStart = orderAtStart;
    }

    public String getOrderAtEnd() {
        return orderAtEnd;
    }

    public void setOrderAtEnd(String orderAtEnd) {
        this.orderAtEnd = orderAtEnd;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
